{
    num: 579,
    accuracy: true,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Flower Shield",
    pp: 10,
    priority: 0,
    flags: { distance: 1, metronome: 1 },
    onHitField(t, source, move) {
        const targets = [];
        for (const pokemon of this.getAllActive()) {
            if (pokemon.hasType("Grass") && (!pokemon.volatiles["maxguard"] || this.runEvent("TryHit", pokemon, source, move))) {
                targets.push(pokemon);
            }
        }
        let success = false;
        for (const target of targets) {
            success = this.boost({def: 1, spd: 1}, target, source, move) || success;
        }
        return success;
    },
    secondary: null,
    target: "all",
    type: "Fairy",
    zMove: { boost: { def: 1 } },
    contestType: "Beautiful"
}
